$length = 20;

module rail(width = 5) {
    union() {
        // body
        translate([0, 0, 0]) {
            % cube([width, $length, 56]);
        }
        // rail bottom
        translate([width, 0, 15]) {
            cube([10, $length, 6]);
        }
        // rail top
        translate([width, 0, 35.5]) {
            cube([10, $length, 6]);
        }
    }
}

module body() {
    translate([0, 0, 0]) {
        cube([5, $length, 56+15]);
    }
    translate([-30, 0, 0]) {
        cube([30, $length, 5]);
    }
    translate([-30, 0, 5]) {
        rotate([0, 24.35, 0]) {
            cube([5, $length, 56+16.5]);
        }
    }    
}

module holder() {
    translate([0, 0, 0]) {
        body();
    }
    translate([0, 0, 15]) {
        rail();
    }
}

module holder_angled() {
    difference() {
        holder();
        translate([-20, -44.5, 10]) {
            rotate([-28, 0, 0]) {
                cube([40, 20, 80]);
            }
        }
        
    }
    
}

// pick your version

holder();
* holder_angled();